1. Suggestions v0
feedback-io
  • Feedback-IO
    • Suggestions v0
      • Fetch Suggestions
        GET
      • Fetch Suggestion by ID
        GET
      • Vote Suggestion
        PUT
      • Create Suggestion
        POST
      • Delete Suggestion
        DELETE
      • Update Suggestion
        PUT
  • Schemas
    • Sample Schemas
      • Pet
      • Category
      • Tag
  1. Suggestions v0

Create Suggestion

Testing
POST
/suggestions

Request

Body Params application/json

Examples

Responses

🟢201Created
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://backend-feedback-io.onrender.com/suggestions' \
--header 'Content-Type: application/json' \
--data-raw '{
  "title": "Add Dark Mode Support",
  "content": "We should implement a dark mode theme for better user experience during night time usage.",
  "category_id": 1,
  "user_id": 2
}'
Response Response Example
{
    "data": {
        "id": 0,
        "title": "string",
        "content": "string",
        "votes": 0,
        "comments": null,
        "category_id": 0,
        "status": "string",
        "user_id": 0,
        "created_at": "string",
        "updated_at": "string"
    },
    "success": true
}
Modified at 2025-07-07 00:07:17
Previous
Vote Suggestion
Next
Delete Suggestion
Built with